dpt-missing-upstream(1)

NAME
dpt-missing-upstream - fix missing "upstream" branch and/or tags

SYNOPSIS
dpt missing-upstream [--skip-missing-snapshots] [--check-only]

DESCRIPTION
dpt missing-upstream tries to find releases present in debian/changelog that have no corresponding tags like "upstream/x.y.z".

For each missing tag, an attempt is made to download the upstream sources from <https://snapshot.debian.org/> and then put them in version control using gbp-import-orig(1).

If the "upstream" branch is also not present, it is either created from the remote repository, or, if it is not present on the remote repository, created from scratch.

When all is done, the "upstream" branch is merged into "master". Nothing is pushed.

OPTIONS

--check-only
    Only report missing tags, do not try to download sources.

--skip-missing-snapshots
    If a given upstream source is not found even on <https://snapshot.debian.org>, just move on and do not abort execution.

COPYRIGHT & LICENSE
Copyright 2011 Damyan Ivanov dmn@debian.org

Copyright 2019 intrigeri intrigeri@boum.org

License: Artistic | GPL-1+